import React from "react";
import { BrowserRouter, Routes, Route } from "react-router-dom";
import Header from "./components/Header";
import Home from "./pages/Home";
import VehicleTypes from "./pages/VehicleTypes";
import CreateLogEntry from "./pages/CreateLogEntry";

function Router() {
  return (
    <BrowserRouter>
      <Header />
      <div className="mainView">
        <Routes>
          <Route path="/">
            <Route index element={<Home />} />
            <Route path="qr">
              <Route path=":vehicleId" element={<CreateLogEntry />} />
            </Route>
            <Route path="vehicleTypes" element={<VehicleTypes />} />
            <Route path="login" element={null} />
          </Route>
        </Routes>
      </div>
    </BrowserRouter>
  );
}

export default Router;
